---
title: llarp_dht_context

---

# llarp_dht_context





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[llarp_dht_context](Classes/structllarp__dht__context.md#function-llarp-dht-context)**([llarp::AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::unique_ptr< [llarp::dht::AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) > | **[impl](Classes/structllarp__dht__context.md#variable-impl)**  |
| [llarp::AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * | **[parent](Classes/structllarp__dht__context.md#variable-parent)**  |

## Public Functions Documentation

### function llarp_dht_context

```cpp
llarp_dht_context(
    llarp::AbstractRouter * router
)
```


## Public Attributes Documentation

### variable impl

```cpp
std::unique_ptr< llarp::dht::AbstractContext > impl;
```


### variable parent

```cpp
llarp::AbstractRouter * parent;
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000